Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class CellImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl
          com.tonbeller.jpivot.olap.model.impl.CellImpl

All Implemented Interfaces:
  Cell, Decorator, PropertyHolder, Visitable

    public class CellImpl

extends PropertyHolderImpl
implements Cell

Created on 11.10.2002

Author:
  av

Constructor Summary
`CellImpl()`

Method Summary
`void` | `accept(Visitor visitor)`
`NumberFormat` | `getFormat()` If the cells value represents a java.lang.Number, return its format.
`java.lang.String` | `getFormattedValue()` Returns the formattedValue.
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`java.lang.Object` | `getValue()` Returns the value.
`boolean` | `isNull()` true if the cell is null
`void` | `setFormattedValue(java.lang.String formattedValue)` Sets the formattedValue.
`void` | `setValue(java.lang.Object value)` Sets the value.

Methods inherited from class com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl
`addProperty, getProperties, getProperty, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.model.PropertyHolder
`getProperties, getProperty`

Constructor Detail

### CellImpl

    public CellImpl()

Method Detail

### getFormattedValue

    public java.lang.String getFormattedValue()

  Returns the formattedValue.

  Specified by:
    `getFormattedValue` in interface `Cell`
  Returns:
    String

### getValue

    public java.lang.Object getValue()

  Returns the value.

  Specified by:
    `getValue` in interface `Cell`
  Returns:
    Object

### setFormattedValue

    public void setFormattedValue(java.lang.String formattedValue)

  Sets the formattedValue.

  Parameters:
    `formattedValue` - The formattedValue to set

### setValue

    public void setValue(java.lang.Object value)

  Sets the value.

  Parameters:
    `value` - The value to set

### isNull

    public boolean isNull()

  Description copied from interface: `Cell`
  true if the cell is null

  Specified by:
    `isNull` in interface `Cell`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getFormat

    public NumberFormat getFormat()

  Description copied from interface: `Cell`
  If the cells value represents a java.lang.Number, return its format. Returns null otherwise.

  Specified by:
    `getFormat` in interface `Cell`
  See Also:
    `Cell.getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD